Bug 59756 - : No error when launching a headless server and it cannot bind to the port
Summary: : No error when launching a headless server and it cannot bind to the port
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-23 11:15 UTC by Olivier Le Thanh Duong
Modified: 2021-12-03 04:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Le Thanh Duong 2013-01-23 11:15:53 UTC
Problem description: 
If you have another process listening to the port you are trying to use for a headless LibreOffice server, when you launch it there is no message to warn you and the process doesn't stop.

Steps to reproduce:
1. netcat -l 8100
2. soffice  --headless  "--accept=socket,host=localhost,port=8100,tcpNoDelay=1;urp;"

Current behavior:
The server launch stay running without listening to the port or printing a warning message

Expected behavior:
The server should print a message or refuse to launch.

              
Operating System: Debian
Version: 3.5.4 release
Comment 1 Stephan Bergmann 2013-01-24 09:27:55 UTC
This is not entirely trivial to fix, as any failure to set up the listening connection is only noticed in an extra thread, cf. <http://cgit.freedesktop.org/libreoffice/core/commit/?id=59afa90803feb09d60e65c6d8f1e8486daad4085> "Improve debug error reporting."
Comment 2 QA Administrators 2015-02-19 15:39:22 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-03-06 14:53:14 UTC
Stephan Bergmann confirmed that this is still not fixed.
Comment 4 tommy27 2016-04-16 07:22:57 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-05-22 13:22:34 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:09:02 UTC Comment hidden (obsolete)
Comment 7 Olivier Le Thanh Duong 2019-12-03 14:19:45 UTC
I can still reproduce it

Version: 6.3.3.2
Build ID: 1:6.3.3-0ubuntu0.19.10.1
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 8 QA Administrators 2021-12-03 04:28:18 UTC
Dear Olivier Le Thanh Duong,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug